INTERFACE
SUBROUTINE APL_AROME ( KBL, KGPCOMP, KIDIA , KFDIA , KLON ,&
 & KTDIA , KLEV , KGL1 , KGL2 , KSTEP ,&
 & KSGST, PDT,&
 & PGEMU,PGELAM,POROG,PGM,PMU0,PMU0M,PCLON, PSLON,PVO3ABC,PLSM,&
 & PAESEA , PAELAN , PAESOO , PAEDES ,&
 & PAPHIM,PAPHIFM,PAPRSM, PAPRSFM, PRDELPM, PDELPM, PTM, PQVM ,&
 & PCPM , PRM ,PALPHM , PLNPRM,&
 & PQCM , PQIM ,PQRM, PQSM, PQGM, PQHM, PTKEM,PSIGM,PSVM,&
 & PUM , PVM, PWM,&
 & PGPAR,PEMTD,PEMTU,PTRSO,PTS,&
 & PCLFS,PSIGS,&
 & PTENDT, PTENDR, PTENDU, PTENDV,PTENDW, PTENDTKE, PTENDEXT,&
 & PFRTH, PFRSO,PFRTHDS, PFRSODS,&
 & PALB,PEMIS,&
 & PEZDIAG,&
 & PCLCH,PCLCL,PCLCM,PCLCT,PFPLSL,PFPLSN,PFPLSG,PFPLSH,PSTRTU,PSTRTV,PFCS,PFCLL,&
 & PUCLS,PVCLS,PTCLS,PQCLS,PHUCLS,PUGST,PVGST ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMARAR ,ONLY : NGPAR ,NRR ,NSV ,MINPRR ,MINPRS ,&
 & MINPRG ,MACPRR ,MACPRG ,MACPRS ,&
 & LDIAGWMAX,NDIAGWMAX,LOSUBG_AUCV ,LOSIGMAS ,&
 & LOSUBG_COND ,NSWB_MNH ,MSWDIR ,MSWDIF ,MALBDIR ,&
 & MALBSCA ,MVEMIS ,MVTS ,NPRINTFR ,NPTP ,LSQUALL ,&
 & NRRI ,NRRL ,LOWARM ,NSPLITR ,NREFROI2 ,NREFROI1 ,&
 & XSW_BANDS,MVQS ,&
 & LOSEDIC ,CMF_UPDRAFT, CMF_CLOUD, LMIXUV 
USE YOERAD , ONLY : NAER ,NMODE ,NRADFR ,NSW ,NOZOCL
USE YOMGEM , ONLY : NGPTOT
USE YOM_YGFL , ONLY : NGFL_EXT ,NGFL_EZDIAG
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KBL
INTEGER(KIND=JPIM),INTENT(IN) :: KGPCOMP
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KTDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KGL1
INTEGER(KIND=JPIM),INTENT(IN) :: KGL2
INTEGER(KIND=JPIM),INTENT(IN) :: KSTEP
INTEGER(KIND=JPIM),INTENT(IN) :: KSGST
REAL(KIND=JPRB) ,INTENT(IN) :: PDT
REAL(KIND=JPRB) ,INTENT(IN) :: PGEMU(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PGELAM(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PGM(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: POROG(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PMU0(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PMU0M(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLON(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PSLON(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PVO3ABC(KLON,3)
REAL(KIND=JPRB) ,INTENT(IN) :: PLSM(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PAESEA(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PAELAN(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PAESOO(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PAEDES(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPHIM(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPHIFM(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPRSM(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPRSFM(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRDELPM(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDELPM(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTM(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQVM(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCPM(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRM(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PALPHM(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PLNPRM(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQCM(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQIM(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQRM(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQSM(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQGM(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQHM(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTKEM(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PSVM(KLON,KLEV,NGFL_EXT)
REAL(KIND=JPRB) ,INTENT(IN) :: PSIGM(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PUM(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVM(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PWM(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGPAR(KLON,NGPAR+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PEMTD(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PEMTU(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTRSO(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTS(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCLFS(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSIGS(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTENDT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTENDR(KLON,KLEV,NRR)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTENDU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTENDV(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTENDW(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTENDTKE(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTENDEXT(KLON,KLEV,NGFL_EXT)
REAL(KIND=JPRB) ,INTENT(IN) :: PALB(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFRTH(KLON,0:KLEV,KSGST+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFRSO(KLON,0:KLEV,KSGST+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFRTHDS(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFRSODS(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PEMIS(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PEZDIAG(KLON,KLEV,NGFL_EZDIAG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCLCH(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCLCL(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCLCM(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCLCT(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPLSL(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPLSN(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPLSG(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPLSH(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSTRTU(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSTRTV(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFCS(KLON,KSGST+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFCLL(KLON,KSGST+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PUCLS(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVCLS(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTCLS(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQCLS(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PHUCLS(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PUGST(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVGST(KLON)
INTEGER(KIND=JPIM) :: ILONMNH
INTEGER(KIND=JPIM) :: ILEVFX
END SUBROUTINE APL_AROME
END INTERFACE
